Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
huunhantvxdts

[Hỏi] cách tạo style text bằng vba

Các bài được khuyến nghị

Mình viết ứng dụng bằng vba nhưng vướng mắc cách thiết lập textstyle nhờ mọi người giúp với

đây là đoạn code 

Sub TaoTextStyle()
Dim TextStyleObj As AcadTextStyle
Set TextStyleObj = ThisDrawing.TextStyles.Add("chuhoa")
TextStyleObj.SetFont ".VnArial NarrowH", True, False, 0, 34
Set TextStyleObj = ThisDrawing.TextStyles.Add("chuso")
TextStyleObj.SetFont ".VnArial Narrow", True, False, 0, 34
Set TextStyleObj = ThisDrawing.TextStyles.Add("Text")
' lỗi ở dòng này
TextStyleObj.SetFont "vnsimple", True, False, 0, 34
End Sub

đoạn code ở trên chạy được với các font  ".VnArial NarrowH"

mình muốn chuyển sang font "vnsimple" thì bị lỗi 

mong mọi người giúp đỡ 

cám ơn nhiều

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
dinhvantrang    65

Mình viết ứng dụng bằng vba nhưng vướng mắc cách thiết lập textstyle nhờ mọi người giúp với

đây là đoạn code 

Sub TaoTextStyle()
Dim TextStyleObj As AcadTextStyle
Set TextStyleObj = ThisDrawing.TextStyles.Add("chuhoa")
TextStyleObj.SetFont ".VnArial NarrowH", True, False, 0, 34
Set TextStyleObj = ThisDrawing.TextStyles.Add("chuso")
TextStyleObj.SetFont ".VnArial Narrow", True, False, 0, 34
Set TextStyleObj = ThisDrawing.TextStyles.Add("Text")
' lỗi ở dòng này
TextStyleObj.SetFont "vnsimple", True, False, 0, 34
End Sub

đoạn code ở trên chạy được với các font  ".VnArial NarrowH"

mình muốn chuyển sang font "vnsimple" thì bị lỗi 

mong mọi người giúp đỡ 

cám ơn nhiều

Bạn kiểm tra lại trong Cad của bạn có loại Font đó ko nhé. CHứ mình chạy thử cái code của b ạn thì lỗi ngay dòng Set Font thứ nhất do trong máy mình ko có kiểu Font này

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn kiểm tra lại trong Cad của bạn có loại Font đó ko nhé. CHứ mình chạy thử cái code của b ạn thì lỗi ngay dòng Set Font thứ nhất do trong máy mình ko có kiểu Font này

Cad mình đã có font này rồi nhưng mình nghĩ chắc do cấu trúc của các kiểu font khác nhau nên lệnh set font vnsimple không set được

mình thấy trong cad font thế này

.VnArial NarrowH

Vnsimple.shx

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hoanguct    0

Mình đã thử và củng không chay được đúng dòng code bạn bảo. Mình chuyển qua font một số font khác chay trơn tru.Thôi chuyển qua font khác cho nhanh bạn à.

nếu không ban có thể dùng  code để add text

 

 

Dim newAltFontFile As String
newAltFontFile = "C:/AutoCAD/Fonts/vnsimple.shx"
ThisDrawing.ActiveTextStyle.fontFile = newAltFontFile

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình đã thử và củng không chay được đúng dòng code bạn bảo. Mình chuyển qua font một số font khác chay trơn tru.Thôi chuyển qua font khác cho nhanh bạn à.

nếu không ban có thể dùng  code để add text

 

 

Dim newAltFontFile As String

newAltFontFile = "C:/AutoCAD/Fonts/vnsimple.shx"

ThisDrawing.ActiveTextStyle.fontFile = newAltFontFile

Cám ơn bạn nhiều 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Các bác cho em hỏi: cho để text nghiêng theo một góc thì làm thế nào? Ví dụ như khi điền độ dốc đường chẳng hạn.

Đây là đoạn code viết text

Set caodo = AcadApplication.ActiveDocument.ModelSpace.AddText(noidung, x, hchu)
        caodo.Alignment = acAlignmentMiddleCenter
        caodo.TextAlignmentPoint = x
gocnghieng = 0 / 180 * 3.14159
        caodo.Rotate x, gocnghieng

caodo.Update

noidung: là nội dung

x: tọa độ

hchu; chiều cao

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
thinhtutn    0

Đây là đoạn code viết text

Set caodo = AcadApplication.ActiveDocument.ModelSpace.AddText(noidung, x, hchu)
        caodo.Alignment = acAlignmentMiddleCenter
        caodo.TextAlignmentPoint = x
gocnghieng = 0 / 180 * 3.14159
        caodo.Rotate x, gocnghieng

caodo.Update

noidung: là nội dung

x: tọa độ

hchu; chiều cao

Em làm được rồi. Cám ơn bác!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×